
Ceph - Bug #2500

osd: unprotected ::decodes in ReplicatedPG::do_osd_ops

06/01/2012 04:38 PM - Josh Durgin

Status: Resolved % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee:    

Category: OSD   

Target version:    

Source: Development Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity:  Crash signature (v2):  

Reviewed:    

Description

Decoding of data supplied by a client should not be able to crash the OSD. These should each be in a try/catch block.

Associated revisions

Revision 53b18e3c - 09/22/2012 12:55 AM - Sage Weil 

osd: catch decoding errors from client ops

Check for decode errors in client ops and return -EINVAL.

Fixes: #2500

Signed-off-by: Sage Weil <sage@inktank.com>

History

#1 - 01/29/2013 10:56 PM - Sage Weil

- Status changed from 12 to Resolved

cleaned up ages ago
